class RGBFarbe { // eigentlich public

	private int rot;
	private int gruen;
	private int blau;

	public RGBFarbe(int rot, int gruen, int blau) {
		if (rot < 0 || rot > 255) {
			return; // Fehler
		} else {
			this.rot = rot;
		}
		if (gruen < 0 || gruen > 255) {
			return; // Fehler
		} else {
			this.gruen = gruen;
		}
		if (blau < 0 || blau > 255) {
			return; // Fehler
		} else {
			this.blau = blau;
		}
	}

	public RGBFarbe(RGBFarbe farbe) {
		this.rot = farbe.rot;
		this.blau = farbe.blau;
		this.gruen = farbe.gruen;
	}

	public boolean equals(RGBFarbe farbe) {
		return this.rot == farbe.rot && this.gruen == farbe.gruen
				&& this.blau == farbe.blau;
	}

	public void mischen(RGBFarbe farbe) {
		this.rot = (this.rot + farbe.rot) / 2;
		this.gruen = (this.gruen + farbe.gruen) / 2;
		this.blau = (this.blau + farbe.blau) / 2;
	}

	public static RGBFarbe mischen(RGBFarbe farbe1, RGBFarbe farbe2) {
		return new RGBFarbe((farbe1.rot + farbe2.rot) / 2,
				(farbe1.gruen + farbe2.gruen) / 2,
				(farbe1.blau + farbe2.blau) / 2);

	}

}

public class UE15Aufgabe9 {
	public static void main(String[] args) {

	}
}
